com.trendmicro.ds.platform.rest.object.scheduledtask

## Class ListScheduledTasksResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.ListScheduledTasksResponse

-     public class ListScheduledTasksResponse
      extends java.lang.Object

  Response object for the ListScheduledTasksResponse API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListScheduledTasksResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScheduledTask(ScheduledTask scheduledTask)` Add to the list of scheduled tasks.
    `java.util.List<ScheduledTask>` | `getScheduledTasks()` Get the list of scheduled tasks.
    `void` | `setScheduledTasks(java.util.List<ScheduledTask> scheduledTasks)` Set the list of scheduled tasks.
    `ListScheduledTasksResponse` | `withScheduledTasks(java.util.List<ScheduledTask> scheduledTasks)` Set the list of scheduled tasks.
    `ListScheduledTasksResponse` | `withScheduledTasks(ScheduledTask... scheduledTasks)` Set the list of scheduled tasks.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListScheduledTasksResponse

          public ListScheduledTasksResponse()

  - ### Method Detail

    - #### getScheduledTasks

          public java.util.List<ScheduledTask> getScheduledTasks()

      Get the list of scheduled tasks.
      Returns:
        the list of scheduled tasks.

    - #### setScheduledTasks

          public void setScheduledTasks(java.util.List<ScheduledTask> scheduledTasks)

      Set the list of scheduled tasks.
      Parameters:
        `scheduledTasks` - the list of scheduled tasks.

    - #### withScheduledTasks

          public ListScheduledTasksResponse withScheduledTasks(java.util.List<ScheduledTask> scheduledTasks)

      Set the list of scheduled tasks.
      Parameters:
        `scheduledTasks` - the list of scheduled tasks.
      Returns:
        the updated ListScheduledTasksResponse object.

    - #### withScheduledTasks

          public ListScheduledTasksResponse withScheduledTasks(ScheduledTask... scheduledTasks)

      Set the list of scheduled tasks.
      Parameters:
        `scheduledTasks` - the list of scheduled tasks.
      Returns:
        the updated ListScheduledTasksResponse object.

    - #### addScheduledTask

          public void addScheduledTask(ScheduledTask scheduledTask)

      Add to the list of scheduled tasks.
      Parameters:
        `scheduledTask` - the scheduled task to add to the list.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.